library placeholder_text;

import 'dart:math';

import 'package:flutter/widgets.dart';

class PlaceholderText extends StatelessWidget {
  const PlaceholderText({
    Key? key,
    this.color = const Color(0xFF455A64),
    this.strokeWidth = 2.0,
    this.fallbackWidth = 400.0,
    this.fallbackHeight = 400.0,
    this.text,
    this.style,
    this.randomColor = false,
  }) : super(key: key);

  final Color color;

  final double strokeWidth;

  final double fallbackWidth;

  final double fallbackHeight;

  final String? text;

  final TextStyle? style;

  final bool randomColor;

  @override
  Widget build(BuildContext context) {
    Color _color = color;
    if (randomColor) {
      Random _random = new Random();
      _color = Color(0xFF000000 + _random.nextInt(0x00FFFFFF));
    }
    Widget placeHolder = Placeholder(
      fallbackHeight: fallbackHeight,
      fallbackWidth: fallbackWidth,
      color: _color,
      strokeWidth: strokeWidth,
    );
    if (text == null) {
      return placeHolder;
    }
    return LimitedBox(
      maxWidth: fallbackWidth,
      maxHeight: fallbackHeight,
      child: Stack(alignment: Alignment.center, children: [
        placeHolder,
        Text(text!, style: style, maxLines: 1,),
      ]),
    );
  }
}
